Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBugPriority Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| getAll ()
| id ()
| name ( $html=true)
| setName ( $value)

## Public Attributes
| $ID
| $Name

## Detailed Description

! eZBug eZBugPriority handles bug categories.

Example code:

// include the class
// include_once( "ezbug/classes/ezbugpriority.php" );
// create a new class object
$priority = new eZBugPriority();
// Set some object values and store them to the database.
$priority->setName( "Urgent" );
$priority->store();
$priority
$priority
Definition: bugedit.php:472
eZBugPriority
Definition: ezbugpriority.php:54

See also
  eZBug eZBugModule eZBugCategory

TODO

Definition at line 53 of file ezbugpriority.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBugPriority::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZBugPriority object.

If $id is set the object's values are fetched from the database.

Definition at line 61 of file ezbugpriority.php.

References $ID, and $id.

## Member Function Documentation

## ◆ delete()

eZBugPriority::delete | ( |  | ) |

Deletes a eZBugPriority object from the database.

Definition at line 103 of file ezbugpriority.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZBugPriority::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 121 of file ezbugpriority.php.

References $db, $id, $priority_array, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZBugPriority::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZBugPriority objects.

Definition at line 145 of file ezbugpriority.php.

References $db, $i, $priority_array, and eZDB\globalDatabase().

## ◆ id()

eZBugPriority::id | ( |  | ) |

Returns the object ID to the priority. This is the unique ID stored in the database.

Definition at line 164 of file ezbugpriority.php.

References $ID.

## ◆ name()

eZBugPriority::name | ( |  | $html = `true` | ) |

Returns the name of the priority.

Definition at line 173 of file ezbugpriority.php.

References $Name, and Name.

## ◆ setName()

eZBugPriority::setName | ( |  | $value | ) |

Sets the name of the priority.

Definition at line 184 of file ezbugpriority.php.

References Name.

## ◆ store()

eZBugPriority::store | ( |  | ) |

Stores a eZBugPriority object to the database.

Definition at line 73 of file ezbugpriority.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZBugPriority::$ID

Definition at line 189 of file ezbugpriority.php.

Referenced by __construct(), and id().

## ◆ $Name

eZBugPriority::$Name

Definition at line 190 of file ezbugpriority.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezbugpriority.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.